/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package hk.quantr.netbeans.riscv.asm.debugger.breakpoint;

import java.awt.Dialog;
import org.openide.DialogDescriptor;
import org.openide.DialogDisplayer;
import org.openide.NotifyDescriptor;

/**
 *
 * @author Peter <peter@quantr.hk>
 */
public class QuantrBreakpointCustomizer extends javax.swing.JPanel implements java.beans.Customizer {

	public static void customize(QuantrBreakpoint bp) {
		QuantrBreakpointCustomizer customizer = new QuantrBreakpointCustomizer();
		customizer.setObject(bp);
		DialogDescriptor descriptor = new DialogDescriptor(customizer, "fuck");
		Dialog d = DialogDisplayer.getDefault().createDialog(descriptor);
		d.setVisible(true);
		if (descriptor.getValue() == NotifyDescriptor.OK_OPTION) {
			customizer.ok();
		}
	}

	private Object bean;

	/**
	 * Creates new customizer QuantrBreakpointCustomizer
	 */
	public QuantrBreakpointCustomizer() {
		initComponents();
	}

	public void setObject(Object bean) {
		this.bean = bean;
	}

	public boolean ok() {
		return true;
	}

	/**
	 * This method is called from within the constructor to initialize the form. WARNING: Do NOT modify this code. The content of this method is always regenerated by the
	 * FormEditor.
	 */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();

        setLayout(new java.awt.BorderLayout());

        jLabel1.setText("Quantr Breakpoint Customizer");
        add(jLabel1, java.awt.BorderLayout.CENTER);
    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    // End of variables declaration//GEN-END:variables
}
